classification
Title: msgfmt.py does not work with plural form
Type: behavior Stage: committed/rejected
Components: Demos and Tools Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: eric.araujo, loewis, steve_geo
Priority: high Keywords:

Created on 2009-03-09 21:47 by steve_geo, last changed 2010-06-11 16:26 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
de.po steve_geo, 2009-03-09 21:47 Example PO file with plural form
Messages (2)
msg83407 - (view) Author: Stephen George (steve_geo) Date: 2009-03-09 21:46
It seems that C:\Python26\Tools\i18n\msgfmt.py does not work with PO
files that use plural form. Get the following error.
ERROR    Traceback (most recent call last):
  File "C:\Python26\Tools\i18n\msgfmt.py", line 203, in <module>
    main()
  File "C:\Python26\Tools\i18n\msgfmt.py", line 199, in main
    make(filename, outfile)
  File "C:\Python26\Tools\i18n\msgfmt.py", line 151, in make
    l = eval(l)
  File "<string>", line 1
    _plural "%d generations"
                          ^
SyntaxError: invalid syntax
msg107084 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-06-04 18:15
This is now fixed in r81697 and r81698.
History
Date User Action Args
2010-06-11 16:26:47eric.araujosetnosy: + eric.araujo

stage: committed/rejected
2010-06-04 18:15:20loewissetstatus: open -> closed
resolution: fixed
messages: + msg107084

versions: + Python 3.2, - Python 2.6
2010-05-11 20:48:03terry.reedysetversions: + Python 2.7
2009-03-09 23:21:27loewissetpriority: high
assignee: loewis

nosy: + loewis
2009-03-09 21:47:03steve_geocreate